## org.eclipse.datatools.connectivity.drivers
Class XMLFileManager

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.XMLFileManager

public class XMLFileManager
extends java.lang.Object

Basic XML file manager

Author:
  brianf

Constructor Summary
`XMLFileManager()` Constructor

Method Summary
`static java.lang.String` `getFileDateTimeStamp()` Returns date last the file was last modified
`static java.lang.String` `getFileName()` Return the file name
`static IPath` `getStorageLocation()` Get property set storage location
`static IPropertySet[]` `loadPropertySets()` Load all property sets from storage
`static void` `saveNamedPropertySet(IPropertySet[] pss)` Save property sets
`static void` `setFileName(java.lang.String name)` Set the file name
`static void` `setStorageLocation(IPath location)` Set property set storage location

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLFileManager

    public XMLFileManager()

  Constructor

Method Detail

### saveNamedPropertySet

    public static void saveNamedPropertySet(IPropertySet[] pss)
                                     throws CoreException

  Save property sets

  Parameters:
    `pss` - To be saved property sets
  Throws:
    `java.io.IOException`
    `CoreException`

### loadPropertySets

    public static IPropertySet[] loadPropertySets()
                                           throws CoreException

  Load all property sets from storage

  Returns:
    property sets
  Throws:
    `java.io.IOException`
    `CoreException`

### getStorageLocation

    public static IPath getStorageLocation()

  Get property set storage location

  Returns:
    location of the connection profiles

### setStorageLocation

    public static void setStorageLocation(IPath location)

  Set property set storage location

  Parameters:
    `location` - where connection profiles storage is put

### getFileName

    public static java.lang.String getFileName()

  Return the file name

  Returns:
    String

### setFileName

    public static void setFileName(java.lang.String name)

  Set the file name

  Parameters:
    `name` -

### getFileDateTimeStamp

    public static java.lang.String getFileDateTimeStamp()

  Returns date last the file was last modified

  Returns:
    String

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.